MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
Order.hxx File Reference
`#include "check.h"`
`#include "SampleFormat.hxx"`
Include dependency graph for Order.hxx:

Go to the source code of this file.

## Data Structures
struct | ConstBuffer< T >
| A reference to a memory area that is read-only. More...

## Functions
ConstBuffer< void > | ToAlsaChannelOrder (PcmBuffer &buffer, ConstBuffer< void > src, SampleFormat sample_format, unsigned channels)
| Convert the given buffer from FLAC channel order (https://xiph.org/flac/format.html) to ALSA channel order. More...

## Function Documentation

ConstBuffer<void> ToAlsaChannelOrder | ( | PcmBuffer & | buffer,
|  | ConstBuffer< void > | src,
|  | SampleFormat | sample_format,
|  | unsigned | channels
| ) |  |

Convert the given buffer from FLAC channel order (https://xiph.org/flac/format.html) to ALSA channel order.